DOT(3G)

NAME
dot - calculate the dot product of two vectors

DECLARATION

float dot(genType x, genType y);

double dot(genDType x, genDType y);

PARAMETERS

x
    Specifies the first of two vectors

y
    Specifies the second of two vectors

DESCRIPTION

dot returns the dot product of two vectors, x and y. i.e., x [ 0 ] ⋅ y [ 0 ] + x [ 1 ] ⋅ y [ 1 ] + ...

VERSION SUPPORT
 | OpenGL Shading Language Version
Function Name | 1.10 | 1.20 | 1.30 | 1.40 | 1.50 | 3.30 | 4.00 | 4.10 | 4.20 | 4.30 | 4.40 | 4.50
dot (genType) | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔
dot (genDType) | - | - | - | - | - | - | ✔ | ✔ | ✔ | ✔ | ✔ | ✔

SEE ALSO

cross()

COPYRIGHT

Copyright © 2011-2014 Khronos Group. This material may be distributed subject to the terms and conditions set forth in the Open Publication License, v 1.0, 8 June 1999. http://opencontent.org/openpub/.

COPYRIGHT
Copyright © 2011-2014 Khronos Group